Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.iapi
Enum MessageExchange.Status

    java.lang.Object
      java.lang.Enum<MessageExchange.Status>
          org.apache.ode.bpel.iapi.MessageExchange.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageExchange.Status>

Enclosing interface:
  MessageExchange

    public static enum MessageExchange.Status

extends java.lang.Enum<MessageExchange.Status>

Enumeration of the possible states for the message exchange.

Enum Constant Summary
`ACK` The acknowledgement (either response/fault/failure) was sent.
`ASYNC` The request was sent, no longer blocking.
`COMPLETED` The acknowledgement was processed.
`NEW` New message exchange, has not been "invoked"
`REQ` The request was sent, blocking while waiting for the service to respond.

Method Summary
`static MessageExchange.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageExchange.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final MessageExchange.Status NEW

  New message exchange, has not been "invoked"

### REQ

    public static final MessageExchange.Status REQ

  The request was sent, blocking while waiting for the service to respond.

### ASYNC

    public static final MessageExchange.Status ASYNC

  The request was sent, no longer blocking.

### ACK

    public static final MessageExchange.Status ACK

  The acknowledgement (either response/fault/failure) was sent.

### COMPLETED

    public static final MessageExchange.Status COMPLETED

  The acknowledgement was processed.

Method Detail

### values

    public static final MessageExchange.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageExchange.Status c : MessageExchange.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageExchange.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD